#define CONFIG_EXTRA_ENV_SETTINGS \
        "qspibootimageaddr=0x020E0000\0" \
        "qspifdtaddr=0x020D0000\0" \
        "bootimagesize=0x01F00000\0" \
        "fdtimagesize=0x00010000\0" \
        "uboot_standalone_addr=0x0c100000\0" \
        "env_load_addr=0x0c100000\0" \
        "qspiload=sf read ${loadaddr} ${qspibootimageaddr} ${bootimagesize};" \
                "sf read ${fdt_addr} ${qspifdtaddr} ${fdtimagesize}\0" \
        "qspiboot=setenv bootargs earlycon root=/dev/mtdblock1 rw " \
                "rootfstype=jffs2 rootwait;booti ${loadaddr} - ${fdt_addr}\0" \
        "loadaddr=" __stringify(CONFIG_SYS_LOAD_ADDR) "\0" \
        "bootfile=Image\0" \
        "fdt_addr=8000000\0" \
        "fdtimage=linux-board.dtb\0" \
        "fpgaprivhack=mw 0xFFD24800 0xFFF73FFB\0" \
        "extrabootargs=uio_pdrv_genirq.of_id=uio_fpga\0" \
        "mmcroot=/dev/mmcblk0p2\0" \
        "mmcboot=setenv bootargs " CONFIG_BOOTARGS \
                " ${extrabootargs}" \
                " root=${mmcroot} rw rootwait;" \
                "booti ${loadaddr} - ${fdt_addr}\0" \
        "mmcload=mmc rescan;" \
                "load mmc 0 ${env_load_addr} uboot_user_env_var;" \
                "echo Importing environment from mmc ...; env import -t $env_load_addr $filesize; saveenv;" \
                "load mmc 0:1 ${uboot_standalone_addr} uboot_app.bin;" \
                "go ${uboot_standalone_addr};" \
                "load mmc 0:1 ${loadaddr} ${bootfile};" \
                "load mmc 0:1 ${fdt_addr} ${fdtimage}\0" \
        "mtdids=" CONFIG_MTDIDS_DEFAULT "\0" \
        "mtdparts=" CONFIG_MTDPARTS_DEFAULT "\0" \
        "linux_qspi_enable=if sf probe; then " \
                "echo Enabling QSPI at Linux DTB...;" \
                "fdt addr ${fdt_addr}; fdt resize;" \
                "fdt set /soc/spi@ff8d2000 status okay;" \
                "if fdt set /soc/clocks/qspi-clk clock-frequency" \
                " ${qspi_clock}; then" \
                " else fdt set /soc/clkmgr/clocks/qspi_clk clock-frequency" \
                " ${qspi_clock}; fi; fi\0" \
        "scriptaddr=0x02100000\0" \
        "scriptfile=u-boot.scr\0" \
        "fatscript=if fatload mmc 0:1 ${scriptaddr} ${scriptfile};" \
                   "then source ${scriptaddr}; fi\0" \

